Bug 1314883 - [RFE] Refresh Dialog Fields Based on Specific Field Changes
[RFE] Refresh Dialog Fields Based on Specific Field Changes
Status: NEW
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
unspecified Severity low
: GA
: cfme-future
Assigned To: John Hardy
Dave Johnson
ui
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-04 13:16 EST by Dustin Scott
Modified: 2017-08-28 01:26 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dustin Scott 2016-03-04 13:16:29 EST
-What is the nature and description of the request?
Dynamic Fields in CFME should have the ability to only refresh when another specific field changes, and not when any field changes. E.g.

:field1 => 'test data'
:field2 => 'test data 2'

When field1 is updated (:field1 => 'updated test data'), field2 is then refreshed.  Right now, it looks like all fields are refreshed by default.
  
-Why does the customer need this? (List the business requirements here)
With large dialogs, with many dynamic fields, user experience is awful.  It takes sometimes up to 15 seconds to load the entire dialog each time a field is changed.  This is not acceptable from a user standpoint and make dynamic fields unusable once you are using more than a couple.
  
-How would the customer like to achieve this? (List the functional requirements here)
A selection option when creating the service dialog that allows users to 'Auto Refresh when FieldX' is updated, rather than simply auto-refresh when any field is updated.

-Is there already an existing RFE upstream or in Red Hat Bugzilla?
I have not found one.
  
-Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?
Before the customer goes into production.  This is tentatively scheduled for now depending on the success of the current implementation in development.
  
-Is the sales team involved in this request and do they have any additional input?
Yes, sales in involved.  Input pending depending on future meeting.
  
-List any affected packages or components.
cfme-appliance-5.5.2.4-1.el7cf.x86_64
cfme-5.5.2.4-1.el7cf.x86_64
Comment 2 WilliamC.Elliott 2016-07-19 04:01:18 EDT
We also suffer from this issue with many of our dialogs. We use a number of dynamic drop-down fields which pull data from external systems and this "global" refreshing leads to extremly long (>15sec) refresh times of the catalog item form.  (we're upgrading from 4.0 to 4.1 now)

This feature would be a *tremendous* help to us.
Comment 3 Matt Hyclak 2016-08-01 17:45:31 EDT
+1 from us as well. We're starting the move from 3.2 to 4.1 and this is proving to be an issue with our dialogs in which we use quite a few dynamic fields.

Note You need to log in before you can comment on or make changes to this bug.